StableOps
API 參考

取消付款訂單

取消仍處於建立狀態的 StableOps 付款訂單並釋放分配地址,保留取消記錄;已檢測到入帳的訂單不能直接取消。商戶應在伺服器端保管金鑰,按介面要求使用穩定冪等鍵,並以查詢結果和驗籤後的事件核對狀態。生產履約建議等待最終確認,不能僅憑頁面跳轉認定支付成功。

POST/v1/payment-orders/{id}/cancel

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Payment order id.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payment-orders/{id}/cancel"
{
  "id": "string",
  "merchant_order_id": "string",
  "amount": "string",
  "requested_amount": "string",
  "chain_amount": "string",
  "settlement_asset": "USDC",
  "status": "created",
  "expires_at": "2019-08-24T14:15:22Z",
  "metadata": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "accepted_assets": [
    {
      "chain": "ethereum",
      "asset": "USDC"
    }
  ],
  "payment_instructions": [
    {
      "chain": "ethereum",
      "asset": "USDC",
      "address": "string"
    }
  ]
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}

這篇文件怎麼樣?

最後更新